USE [MediaLibrary]
GO
/****** Object:  Table [dbo].[VideoPreview]    Script Date: 14/12/2018 00:20:30 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[VideoPreview](
	[PreviewID] [int] IDENTITY(1,1) NOT NULL,
	[VideoID] [int] NOT NULL,
	[EncodeID] [int] NOT NULL,
	[FileTypeID] [int] NOT NULL,
	[VideoFileName] [varchar](255) NOT NULL,
	[AiredOn] [datetime] NULL,
	[Length] [int] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[PreviewID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
ALTER TABLE [dbo].[VideoPreview]  WITH CHECK ADD FOREIGN KEY([EncodeID])
REFERENCES [dbo].[VideoEncode] ([EncodeID])
GO
ALTER TABLE [dbo].[VideoPreview]  WITH CHECK ADD FOREIGN KEY([FileTypeID])
REFERENCES [dbo].[VideoFileTypes] ([FileTypeID])
GO
ALTER TABLE [dbo].[VideoPreview]  WITH CHECK ADD FOREIGN KEY([VideoID])
REFERENCES [dbo].[MediaEntry] ([EntryID])
GO
